require( "scripts/style" );

-----------------------------------
-- 			  Init
-----------------------------------
local strImage = "";
if gCurrentLevel 
then
 strImage = "elements/introlevel/elementlevel"..gCurrentLevel;
end

-----------------------------------
-- 				Main Dialog
-----------------------------------
MakeDialog
{
    Bitmap
    {
       name = "dialogintro",
		image = "backgrounds/popups/popupdefault",
		x = kCenter,
		y = kCenter,
		
		Bitmap
		{
			name = "image",
			image = strImage,
			x = kCenter,
			y = 70,
		},
		
       Button
       {
			name = "ok",
			x = kCenter,
			y = 400,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			close = true,
			cancel = true,
			flags = 5,
			DefaultButtonLabel("ok"),
			command=
				function()
					PauseAnimations(false)
				end
       },
	
		Text
		{
			name = "oktitle",
			x = 12, 
			y = 18,
			w = kMax,
			h = 40,
			font = DialogTitleIntroFont,
			flags = kVAlignCenter + kHAlignCenter,
			label = gDialogTable.title,
		};

		Text
		{
			name = "okbody",
			x = 80,
			y = 280,
			w = kMax - 80,
			h = kMax,
			font = DialogBodyFont,
			flags = kHAlignLeft,
			label= gDialogTable.body,
		};
    },
} 

PauseAnimations(true);